Friends | List of all members
clan::ThreadLocalStorage Class Reference
clanCore System

ThreadLocalStorage class. More...

`#include <thread_local_storage.h>`

## Public Member Functions
Construction
| ThreadLocalStorage ()
| Constructs a Thread Local Storage object. More...
| ~ThreadLocalStorage ()

## Static Public Member Functions
Attributes
static std::shared_ptr< ThreadLocalStorageData > | get_variable (const std::string &name)
| Get a variable. More...
Operations
static void | set_variable (const std::string &name, std::shared_ptr< ThreadLocalStorageData > ptr)
| Set a variable. More...

## Friends
class | ThreadLocalStorage_Instance

## Detailed Description

ThreadLocalStorage class.

The documentation for this class was generated from the following file:

- thread_local_storage.h